Subject: Re: [PATCH] revisions: add @{default} shorthand for default branch

From: Harald Nordgren <[email-masked]>
Date: Tue, 3 Feb 2026 00:03:02 +0100

> That just makes discovering the name of the remote the "interesting" part…

Yeah, this is true! Discovering which is the upstream remote is still
non-trivial. It's aggravated because the GitHub 'gh' tool will rename
'origin' to 'upstream' when forking + creating PR from the CLI.

Which I why I do this becomes necessary

    git remote | rg '^(origin|upstream)$' | tail -n1

Harald